#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 concurrent-output
version:              1.10.11
visibility:           public
id:                   concurrent-output-1.10.11-CBTWVDSxNdlJYsPCxShj6A
key:                  concurrent-output-1.10.11-CBTWVDSxNdlJYsPCxShj6A
license:              BSD-2-Clause
copyright:            2015-2017 Joey Hess, 2009 Joachim Breitner
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess, Joachim Breitner
stability:            Stable
synopsis:             Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.

    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.

    <<https://joeyh.name/code/concurrent-output/demo2.gif>>

category:             User Interfaces
abi:                  66d7e7ed5b62e1a4f185905744c57c5a
exposed:              True
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent

hidden-modules:       Utility.Monad Utility.Data Utility.Exception
import-dirs:          /usr/lib/ghc-8.8.3/site-local/concurrent-output-1.10.11
library-dirs:         /usr/lib/ghc-8.8.3/site-local/concurrent-output-1.10.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/concurrent-output-1.10.11
hs-libraries:         HSconcurrent-output-1.10.11-CBTWVDSxNdlJYsPCxShj6A
depends:
    ansi-terminal-0.10.3-E9f5lPr75erGIbzW4It0dA
    async-2.2.2-3PY2B7ah6NqF6HAjQ6YlVT base-4.13.0.0 directory-1.3.6.0
    exceptions-0.10.4-ElKsHaIv8kxGE3x6lSFI2 process-1.6.8.0 stm-2.5.0.0
    terminal-size-0.3.2.1-Lp3EPz6AmPvE7uvVvixMVf text-1.2.4.0
    transformers-0.5.6.2 unix-2.7.2.2

haddock-interfaces:
    /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock

haddock-html:         /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

